drop table dim_VMSTAT;

create table dim_VMSTAT
(
 ID    int,
 Sno   int,
 r     int,
 b     int,
 w     int,
 swap  int,
 free  int,
 re    int,
 mf    int,
 pin   int,
 pout  int,
 fr    int,
 de    int,
 sr    int,
 intr  int,
 sy    int,
 cs    int,
 usr   int,
 sys   int,
 idle  int
);

create index dim_VMSTAT_ID   on dim_VMSTAT( ID );
create index dim_VMSTAT_Sno  on dim_VMSTAT( Sno );

alter table dim_VMSTAT lock mode(row);

delete from TabX_note where tabname = 'dim_VMSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_VMSTAT', 'dim_STAT VM Statistics' );

delete from TabX where tabname = 'dim_VMSTAT';
insert into TabX values ( 'dim_VMSTAT', 'id',     'AD', 'ID', '' );
insert into TabX values ( 'dim_VMSTAT', 'sno',    'S',  'Sno#', '' );
insert into TabX values ( 'dim_VMSTAT', 'r',      'V',  'R', '' );
insert into TabX values ( 'dim_VMSTAT', 'b',      'V',  'B', '' );
insert into TabX values ( 'dim_VMSTAT', 'w',      'V',  'W', '' );
insert into TabX values ( 'dim_VMSTAT', 'swap',   'V',  'Swap', '' );
insert into TabX values ( 'dim_VMSTAT', 'free',   'V',  'Free', '' );
insert into TabX values ( 'dim_VMSTAT', 're',     'V',  'RE', '' );
insert into TabX values ( 'dim_VMSTAT', 'mf',     'V',  'MF', '' );
insert into TabX values ( 'dim_VMSTAT', 'pin',    'V',  'Pin', '' );
insert into TabX values ( 'dim_VMSTAT', 'pout',   'V',  'Pout', '' );
insert into TabX values ( 'dim_VMSTAT', 'fr',     'V',  'FR', '' );
insert into TabX values ( 'dim_VMSTAT', 'de',     'V',  'DE', '' );
insert into TabX values ( 'dim_VMSTAT', 'sr',     'V',  'SR', '' );
insert into TabX values ( 'dim_VMSTAT', 'intr',   'V',  'Intr', '' );
insert into TabX values ( 'dim_VMSTAT', 'sy',     'V',  'Sy', '' );
insert into TabX values ( 'dim_VMSTAT', 'cs',     'V',  'CS', '' );
insert into TabX values ( 'dim_VMSTAT', 'usr',    'V',  'Usr', '' );
insert into TabX values ( 'dim_VMSTAT', 'sys',    'V',  'Sys', '' );
insert into TabX values ( 'dim_VMSTAT', 'idle',   'V',  'Idle', '' );

